Bug Hunting Session
Bug 119420 - Wrong moved item Conditional from menu Format to menu Sheet in Calc
Summary: Wrong moved item Conditional from menu Format to menu Sheet in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Calc-Menus
  Show dependency treegraph
 
Reported: 2018-08-22 11:05 UTC by Roman Kuznetsov
Modified: 2018-09-16 14:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-08-22 11:05:34 UTC
Description:
Wrong moved item Conditional from menu Format to menu Sheet in Calc

https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=e68783344a88b827c5fe6a0fd1174b36d75d4d3c

Steps to Reproduce:
1. Conditional formatting is FORMATTING. Why did you move it to menu Sheet?!


Actual Results:
There isn't item Conditional (formatting) in menu Format

Expected Results:
There is item Conditional (formatting) in menu Format


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 andreas_k 2018-08-22 11:11:56 UTC
True conditional (formatting) should be moved back to formating menu in calc.
Comment 2 Heiko Tietze 2018-08-22 18:07:22 UTC
(In reply to Roman Kuznetsov from comment #0)
> 1. Conditional formatting is FORMATTING. 

Agree. And many thanks for taking this.
Comment 3 andreas_k 2018-08-22 20:07:12 UTC
Roman, should I move back only the Conditional item to format or also AutoFormat Styles and Spreadsheet Theme?

In addition Print Ranges is moved from Format to Sheet but I think it's not perfect there do you have an recommendation?
Comment 4 Roman Kuznetsov 2018-08-22 20:19:43 UTC
(In reply to andreas_k from comment #3)
> Roman, should I move back only the Conditional item to format or also
> AutoFormat Styles and Spreadsheet Theme?

may be move it both into menu Styles? Between "New styles" and "Manage styles".

Heiko, what do you think?

> In addition Print Ranges is moved from Format to Sheet but I think it's not
> perfect there do you have an recommendation?

In Excel this function is on Layout tab, but it there isn't in Calc

I think "Print ranges" need move back into Format
Comment 5 andreas_k 2018-08-23 05:16:55 UTC
I'll move back 
- conditional
- auto format styles
- spreadsheet theme
to format, cause its a format thing

And print range also to format (as long as we dont find a better place)
Comment 6 Commit Notification 2018-08-23 06:30:16 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a96351eda8b18168a7dd1ae4824e4364f2938e5b

tdf#119420 move conditional and style section back from sheet to format

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Roman Kuznetsov 2018-09-04 14:55:32 UTC
FIXED in 

Version: 6.2.0.0.alpha0+
Build ID: 3017396a26f22ea193b4fd74bc485bc31cd547fe
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-03_23:39:36
Locale: ru-RU (ru_RU); Calc: threaded
Comment 8 BogdanB 2018-09-16 14:55:53 UTC
Confirm it is ok on
Version: 6.2.0.0.alpha0+
Build ID: e005ab5d40d358adb75a64e140d46f4bf605647d
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-15_02:08:38
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded